﻿<%@ Page Language="C#" MasterPageFile="Admin.Master" AutoEventWireup="true" Inherits="ViewPage<AdminAnnotationsModel>" %>
<asp:Content ID="head" ContentPlaceHolderID="head" runat="server">
<title>Отклики &rsaquo; Панель управления AtomSite</title>
</asp:Content>
<asp:Content ID="Content" ContentPlaceHolderID="content" runat="server">
<h2>Отклики</h2>
<div class="filter">
<a class="all" href="<%= Url.Action("Annotations", "Admin", new { workspace= Model.Scope.Workspace, collection=Model.Scope.Collection }) %>">Все (<%=Model.AllCount %>)</a> | 
<a class="published" href="<%= Url.Action("Annotations", "Admin", new { workspace= Model.Scope.Workspace, collection=Model.Scope.Collection, filter="published" }) %>">Опубликованные (<%= Model.PublishedCount %>)</a> | 
<a class="unapproved" href="<%= Url.Action("Annotations", "Admin", new { workspace= Model.Scope.Workspace, collection=Model.Scope.Collection, filter="unapproved" }) %>">Неутвержденные (<%= Model.UnapprovedCount %>)</a> | 
<a class="spam" href="<%= Url.Action("Annotations", "Admin", new { workspace= Model.Scope.Workspace, collection=Model.Scope.Collection, filter="spam" }) %>">Спам (<%= Model.SpamCount %>)</a>

<%-- TODO: add category selections --%>

</div>

<table class="annotations">
<thead>
<tr><th>Автор</th><th>Текст</th><th>В ответ на</th></tr>
</thead>
<tfoot>
<tr><td colspan="2">Страницы: <%
                      foreach (int i in Enumerable.Range(1, Model.Annotations.PageCount))
                      {
                        if (Model.Annotations.PageNumber == i) Response.Write("<strong>");
                        Response.Write("<a href='" + Url.Action("Annotations", "Admin", new { workspace = Model.Scope.Workspace, collection = Model.Scope.Collection, page = i }) + "'>" + i + "</a> ");
                        if (Model.Annotations.PageNumber == i) Response.Write("</strong>");
                      }

                      %></td><td>Всего: <strong><%=Model.Annotations.TotalItemCount%></strong></td></tfoot>
<tbody>
<% bool alt = true; foreach (AtomEntry e in Model.Annotations) { alt = !alt;%>
<tr id="<%= e.Id.ToFullWebId() %>" class="annotation<%= alt? " alt" : string.Empty %><%= !e.Approved? " pending" : string.Empty %>">
<td class="authors"><%Html.RenderPartial("AtomPubPeople", e.Authors); %></td>
<td class="content">
Добавлен <%= Html.DateTimeAbbreviation(e.Date, (dto, tzi) => dto.ToString("g")) %> <span class='status'><%= !e.Approved? "[Not Approved]" : string.Empty %></span>
<p><%= e.Text.ToStringPreview(500) %></p>
<div class="actions">
<%-- TODO: only show links for approve actions --%>
 <a href="<%= Url.RouteIdUrl("BlogApproveEntry", e.Id)%>" onclick="setApproval('<%= e.Id.ToFullWebId() %>', '<%= Url.RouteIdUrl("BlogApproveEntry", e.Id)%>', this);return false;"><%= e.Approved ? "не утверждать" : "утвердить"%></a> | 
 <a href="<%= Url.Action("EditEntry", "Admin", new { id = e.Id.ToString() }) %>">редактировать</a> | 
 <a href="<%= Url.RouteIdUrl("AtomPubEntry", e.Id) %>" onclick="del('<%= e.Id.ToFullWebId() %>', '<%= Url.RouteIdUrl("AtomPubEntry", e.Id) %>');return false;">удалить</a> | 
 <a href="<%=e.LocationWeb %>">посмотреть</a> |
 <a href="<%=e.InReplyTo.Href %>#addcommentform">ответить</a></div>
</td>
<td class="inreplyto">
<a href="<%= e.InReplyTo.Href %>">
<%= e.GetValue<string>(Atom.SvcNs + "parentTitle") %></a><br />
<strong><%= e.Id.Collection %> entry <%-- TODO: get proper parent type to support nested --%></strong><br />
<%= e.Total %></td>
</tr>
<%} %>
</tbody>

</table>
</asp:Content>

<asp:Content ID="Tail" ContentPlaceHolderID="tail" runat="server">
<script type="text/javascript">
$(document).ready(function() {

});

</script>
</asp:Content>
