﻿<%@ Control Language="C#" Inherits="ViewUserControl<AdminEntriesModel>" %>
<div class="widget" id="pendingEntries">
<h3>Посты, ожидающие утверждения</h3>
<div class="widgetbody">
<% if (Model.Entries.Count > 0) { %>
<% bool alt = true; foreach (AtomEntry e in Model.Entries) { alt = !alt;%>
<div id="<%= e.Id.ToFullWebId() %>" class="pending entry-item<%= e.Approved ? " approved"  : string.Empty %><%= alt ? " alt" : string.Empty %>">
	<h4><a href="<%= Url.Action("EditEntry", "Admin", new { id = e.Id.ToString() }) %>"><%= e.Title %></a> <%= Html.DateTimeAbbreviation(e.Date, (dto, tzi) => dto.ToString("g")) %></h4>
	<blockquote><%= e.Text.ToStringPreview(300) %></blockquote>
	<div>
	<span class="draft"><%= e.Draft ? "[Draft]" : string.Empty%></span> <span class='status'><%= !e.Approved ? "[Not Approved]" : string.Empty %></span>
	</div>
</div>

<% } %><div style="text-align:right">
<form method="get" action="<%= Url.Action("Entries", "Admin") %>">
<%= Model.Scope.Workspace != null ? Html.Hidden("workspace",  Model.Scope.Workspace) : null %>
<%= Model.Scope.Collection != null ? Html.Hidden("collection", Model.Scope.Collection) : null %>
<%= Html.Hidden("filter", "pending") %>

<button type="submit" name="submit" value="Save Draft"><span class="btnicon ui-icon ui-icon-disk"></span> Save Draft</button>

</form></div>

<%} else { %>
<em class="warning">Нет черновиков или постов, ожидающих утверждения</em>
<%} %>
</div>
</div>