﻿<%@ Control Language="C#" Inherits="ViewUserControl<AdminRightNowModel>" %>
<div class="widget" id="rightnow">
<h3>Прямо сейчас</h3>
<table class="entries status">
<thead><tr><th class="main" colspan="2">Посты</th>
<th class="c"><a title="Published Entries" class="published" href="<%= Url.Action("Entries", "Admin", new { workspace = Model.Scope.Workspace, collection = Model.Scope.Collection, filter = "published" }) %>">Опубликовано</a></th>
<th class="c"><a title="Pending Entries" class="pending" href="<%= Url.Action("Entries", "Admin", new { workspace = Model.Scope.Workspace, collection = Model.Scope.Collection, filter = "pending" }) %>">Ожидает</a></th>
<th class="c"><a title="Draft Entries" class="draft" href="<%= Url.Action("Entries", "Admin", new { workspace = Model.Scope.Workspace, collection = Model.Scope.Collection, filter = "draft" }) %>">Черновик</a></th>
<th class="c"><a title="All Entries" class="all" href="<%= Url.Action("Entries", "Admin", new { workspace = Model.Scope.Workspace, collection = Model.Scope.Collection }) %>">Всего</a></th></tr></thead>
<tbody>
<%foreach (AppWorkspace w in Model.GetMetricWorkspaces("entries"))
  { %>

<% bool first = true; foreach (AppCollection c in Model.GetMetricCollections(w, "entries"))
   { %>
<tr>
<%if (first)
  { %>
  <th rowspan="<%= w.Collections.Count() %>"><%= w.Name ?? Atom.DefaultWorkspaceName%></th> <%} %>
<th><a href="<%= Url.Action("Settings", new { workspace = c.Id.Workspace, collection = c.Id.Collection }) %>"><%= c.Id.Collection%></a></th>
<td><a class="published" href="<%= Url.Action("Entries", "Admin", new { workspace = c.Id.Workspace, collection = c.Id.Collection, filter = "published" }) %>">
  <%= Model.GetMetric(c, "entries-pub") %></a></td>
<td><a class="pending" href="<%= Url.Action("Entries", "Admin", new { workspace = c.Id.Workspace, collection = c.Id.Collection, filter = "pending" }) %>">
<%= Model.GetMetric(c, "entries-pend") %></a></td>
<td><a class="draft" href="<%= Url.Action("Entries", "Admin", new { workspace = c.Id.Workspace, collection = c.Id.Collection, filter = "draft" }) %>">
<%= Model.GetMetric(c, "entries-draft") %></a></td>
<td class="total"><a class="all" href="<%= Url.Action("Entries", "Admin", new { workspace = c.Id.Workspace, collection = c.Id.Collection }) %>">
<%= Model.GetMetric(c, "entries-total") %></a></td>
</tr>

<%first = false;
   }
  } %>

</tbody>
</table>
<table class="annotations">
<thead><tr><th class="main" colspan="2">Отклики</th>
<th class="c"><a title="Published Annotations" class="published" href="<%= Url.Action("Annotations", "Admin", new { workspace = Model.Scope.Workspace, collection = Model.Scope.Collection, filter = "published" }) %>">Опубликовано</a></th>
<th class="c"><a title="Pending Annotations" class="pending" href="<%= Url.Action("Annotations", "Admin", new { workspace = Model.Scope.Workspace, collection = Model.Scope.Collection, filter = "pending" }) %>">Ожидает</a></th>
<th class="c"><a title="Spam Annotations" class="spam" href="<%= Url.Action("Annotations", "Admin", new { workspace = Model.Scope.Workspace, collection = Model.Scope.Collection, filter = "spam" }) %>">Спам</a></th>
<th class="c"><a title="All Annotations" class="all" href="<%= Url.Action("Annotations", "Admin", new { workspace = Model.Scope.Workspace, collection = Model.Scope.Collection }) %>">Всего</a></th></tr></thead>
<tbody>
<%foreach (AppWorkspace w in Model.GetMetricWorkspaces("ann"))
  { %>

<% bool first = true; foreach (AppCollection c in Model.GetMetricCollections(w, "ann"))
   { %>
<tr>
<%if (first)
  { %>
  <th rowspan="<%= w.Collections.Count() %>"><%= w.Name ?? Atom.DefaultWorkspaceName%></th> <%} %>
<th><a href="<%= Url.Action("Settings", new { workspace = c.Id.Workspace, collection = c.Id.Collection }) %>"><%= c.Id.Collection%></a></th>
<td><a class="published" href="<%= Url.Action("Annotations", "Admin", new { workspace = c.Id.Workspace, collection = c.Id.Collection, filter = "published" }) %>">
  <%= Model.GetMetric(c, "ann-pub") %></a></td>
<td><a class="pending" href="<%= Url.Action("Annotations", "Admin", new { workspace = c.Id.Workspace, collection = c.Id.Collection, filter = "pending" }) %>">
<%= Model.GetMetric(c, "ann-pend") %></a></td>
<td><a class="spam" href="<%= Url.Action("Annotations", "Admin", new { workspace = c.Id.Workspace, collection = c.Id.Collection, filter = "spam" }) %>">
<%= Model.GetMetric(c, "ann-spam") %></a></td>
<td class="total"><a class="all" href="<%= Url.Action("Annotations", "Admin", new { workspace = c.Id.Workspace, collection = c.Id.Collection }) %>">
<%= Model.GetMetric(c, "ann-total") %></a></td>
</tr>

<%first = false;
   }
  } %>

</tbody>
</table>

<small>Нажмите на название коллекции, чтобы изменить настройки.</small>
<%--
<p>
The theme is <strong><%= ThemeViewEngine.GetCurrentTheme(ViewContext.RequestContext) %></strong> and can be configured differently for each collection.
</p>--%>

<p>
Вы используете <strong><%= Model.ReleaseName  %></strong> <%= Model.Version %>.
</p>
</div>