﻿<%@ Control Language="C#" Inherits="ViewUserControl<AdminAnnotationsModel>" %>
<div class="widget" id="recentAnnotations">
<h3>Последние отклики</h3>
<div class="widgetbody">

<% if (Model.Annotations.Count > 0) { %>

<% bool alt = true; foreach (AtomEntry a in Model.Annotations) { alt = !alt;%>
<div id="<%= a.Id.ToFullWebId() %>" class="anno-item<%= !a.Approved ? " pending"  : string.Empty %><%= alt ? " alt" : string.Empty %>">
	  <%=Html.GravatarImg(a.Authors.First().Email, 50) %>
  <div class="annoContent">
		<h4 class="anno-meta">От <cite class="anno-author"><%=a.Authors.First().Name %></cite> на <a href='<%= Url.Action("EditEntry", "Admin", new { id = a.Id}) %>'><%= a.GetValue<string>(Atom.SvcNs + "parentTitle") %></a> <a class="anno-link" href="<%= Url.RouteIdUrl("BlogEntry", a.Id.GetParentId()) + "#" + a.Id.ToWebId() %>">#</a> <span class='status'><%= !a.Approved? "[Not Approved]" : string.Empty %></span></h4>
    <blockquote>
    <%= a.Text.ToStringPreview(120) %>
    </blockquote>
    <div class="actions">
<%-- TODO: only show links for approve actions --%>
 <a href="<%= Url.RouteIdUrl("BlogApproveEntry", a.Id)%>" onclick="setApproval('<%= a.Id.ToFullWebId() %>', '<%= Url.RouteIdUrl("BlogApproveEntry", a.Id)%>', this);return false;"><%= a.Approved ? "не утверждено" : "утверждено"%></a> | 
 <a href="<%= Url.Action("EditEntry", "Admin", new { id = a.Id.ToString() }) %>">редактировать</a> | 
 <a href="<%= Url.RouteIdUrl("AtomPubEntry", a.Id) %>" onclick="del('<%= a.Id.ToFullWebId() %>', '<%= Url.RouteIdUrl("AtomPubEntry", a.Id) %>');return false;">удалить</a> | 
 <a href="<%=a.LocationWeb %>">view</a> |
 <a href="<%=a.InReplyTo.Href %>#addcommentform">reply</a>
    </div>
  </div>
</div>

<% } %><div style="text-align:right">
<form method="get" action="<%= Url.Action("Annotations", "Admin", new { workspace=Model.Scope.Workspace, collection = Model.Scope.Collection}) %>">
<button class="white" type="submit">View All</button>
</form></div>

<%} else { %>
<em class="warning">Нет откликов...</em>
<%} %>
</div></div>